# Interface SeriesBoxPlot

#### Hierarchy

- SeriesBoxPlot

#####
Index

### Properties

medianSvgClassName
medianSvgStyle
q2Color
q2SvgClassName
q2SvgStyle
q3Color
q3SvgClassName
q3SvgStyle
whiskerEndLength
whiskerEndSvgClassName
whiskerEndSvgStyle
whiskerSvgClassName
whiskerSvgStyle

## Properties

### medianSvgClassName

medianSvgClassName: string

The CSS style class to apply to the median line.

### medianSvgStyle

medianSvgStyle: object

The CSS inline style to apply to the median line. Only SVG CSS style properties are supported.

### q2Color

q2Color: string

The color of the Q2 segment of the box.

### q2SvgClassName

q2SvgClassName: string

The CSS style class to apply to the Q2 segment of the box. See the Help documentation for more information.

### q2SvgStyle

q2SvgStyle: object

The CSS inline style to apply to the Q2 segment of the box. See the Help documentation for more information.

### q3Color

q3Color: string

The color of the Q3 segment of the box.

### q3SvgClassName

q3SvgClassName: string

The CSS style class to apply to the Q3 segment of the box. See the Help documentation for more information.

### q3SvgStyle

q3SvgStyle: object

The CSS inline style to apply to the Q3 segment of the box. See the Help documentation for more information.

### whiskerEndLength

whiskerEndLength: string

Specifies the length of the whisker ends in pixels (e.g. '9px') or as a percentage of the box width (e.g. '50%').

### whiskerEndSvgClassName

whiskerEndSvgClassName: string

The CSS style class to apply to the whisker ends.

### whiskerEndSvgStyle

whiskerEndSvgStyle: object

The CSS inline style to apply to the whisker ends. Only SVG CSS style properties are supported.

### whiskerSvgClassName

whiskerSvgClassName: string

The CSS style class to apply to the whisker stems.

### whiskerSvgStyle

whiskerSvgStyle: object

The CSS inline style to apply to the whisker stems. Only SVG CSS style properties are supported.

Generated using TypeDoc